import { jsx } from "react/jsx-runtime";
import { TokenCBX as TokenCBX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCBX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CBX", "data-name": "TokenCBX", ...props, children: /* @__PURE__ */ jsx(TokenCBX$1, { variant }) });
  }
);
TokenCBX.displayName = "TokenCBX";
Object.assign(TokenCBX, { isGdsIcon: true });
export {
  TokenCBX
};
